nvme_sanitize_nvm(9)

NAME
nvme_sanitize_nvm - Start a sanitize operation

SYNOPSIS
int nvme_sanitize_nvm (struct nvme_sanitize_nvm_args *args );

ARGUMENTS

args
    struct nvme_sanitize_nvm_args argument structure

DESCRIPTION
A sanitize operation alters all user data in the NVM subsystem such that recovery of any previous user data from any cache, the non-volatile media, or any Controller Memory Buffer is not possible. The Sanitize command starts a sanitize operation or to recover from a previously failed sanitize operation. The sanitize operation types that may be supported are Block Erase, Crypto Erase, and Overwrite. All sanitize operations are processed in the background, i.e., completion of the sanitize command does not indicate completion of the sanitize operation.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.